OTA Firmware Update Fails with Bootloader Host Tool and CySmart Dongle - KBA212959

Version: **

 

Question:

Why does the Bootloader Host Tool fail to do over-the-air (OTA) firmware update using CySmart dongle firmware version 1.2.1.21?

 

Answer:

Bootloader Host Tool in PSoC Creator version 3.3 and earlier is not compatible with the CySmart dongle firmware version 1.2.1.21. This results in the OTA firmware update to fail.

You must use CySmart 1.2 for OTA firmware update. See CySmart 1.2 user guide, section 2.7 for the steps to do firmware OTA update.

Download CySmart 1.2 installer and the user guide from http://www.cypress.com/cysmart.